###################################################
### chunk number 1: prelim
###################################################
#line 44 "d:/Rcompile/CRANpkg/local/2.12/amer/inst/doc/amerApplications.Rnw"
rm(list=ls())
options(width=60, continuation="   ")
library(amer)
library(mlmRev)
library(SASmixed)


###################################################
### chunk number 2: contra_fit1
###################################################
#line 68 "d:/Rcompile/CRANpkg/local/2.12/amer/inst/doc/amerApplications.Rnw"
print(contra1 <- lmer(use ~ urban + age + livch + (1|district), Contraception, 
				family = binomial), cor=F)


###################################################
### chunk number 3: contra_fit2
###################################################
#line 74 "d:/Rcompile/CRANpkg/local/2.12/amer/inst/doc/amerApplications.Rnw"
print(contra2 <- lmer(use ~ urban + age + livch + (urban|district), Contraception,
				family = binomial), cor=F)


###################################################
### chunk number 4: contra_fit3
###################################################
#line 80 "d:/Rcompile/CRANpkg/local/2.12/amer/inst/doc/amerApplications.Rnw"
print(contra3 <- amer(use ~ urban + bsp(age) + livch + (urban|district), Contraception, family = binomial), cor=F)


###################################################
### chunk number 5: contra_fit4
###################################################
#line 86 "d:/Rcompile/CRANpkg/local/2.12/amer/inst/doc/amerApplications.Rnw"
print(contra4 <- amer(use ~ urban + bsp(age, by=urban) + livch + (urban|district), Contraception, family = binomial), cor=F)


###################################################
### chunk number 6: contra_anova
###################################################
#line 89 "d:/Rcompile/CRANpkg/local/2.12/amer/inst/doc/amerApplications.Rnw"
print(anova(contra1 ,contra2, contra3, contra4))


###################################################
### chunk number 7: contra_plot3
###################################################
#line 97 "d:/Rcompile/CRANpkg/local/2.12/amer/inst/doc/amerApplications.Rnw"
	plotF(contra3)             


###################################################
### chunk number 8: contra_plot4
###################################################
#line 103 "d:/Rcompile/CRANpkg/local/2.12/amer/inst/doc/amerApplications.Rnw"
	plotF(contra4)             


###################################################
### chunk number 9: chem_fit1
###################################################
#line 113 "d:/Rcompile/CRANpkg/local/2.12/amer/inst/doc/amerApplications.Rnw"
 print(chem1 <- lmer(score ~ gcsecnt + (1 | school) + (1 | lea), Chem97), cor=F)


###################################################
### chunk number 10: chem_fit2
###################################################
#line 117 "d:/Rcompile/CRANpkg/local/2.12/amer/inst/doc/amerApplications.Rnw"
print(chem2 <- amer(score ~ bsp(gcsecnt) + (1 | school) + (1 | lea), Chem97), cor=F)
print(anova(chem1, chem2))


###################################################
### chunk number 11: chem_plot
###################################################
#line 125 "d:/Rcompile/CRANpkg/local/2.12/amer/inst/doc/amerApplications.Rnw"
plotF(chem2)


###################################################
### chunk number 12: oxboys_fit1
###################################################
#line 138 "d:/Rcompile/CRANpkg/local/2.12/amer/inst/doc/amerApplications.Rnw"
print(oxboys1 <- lmer(height ~ poly(age, 4) + (poly(age, 2) | Subject), data=Oxboys), cor=F)


###################################################
### chunk number 13: oxboys_fit2
###################################################
#line 142 "d:/Rcompile/CRANpkg/local/2.12/amer/inst/doc/amerApplications.Rnw"
print(oxboys2 <- amer(height ~ tp(age, k=12) + tp(age, k=4, by=Subject, allPen=T), data=Oxboys), cor=F)
print(anova(oxboys1, oxboys2))


###################################################
### chunk number 14: scots
###################################################
#line 157 "d:/Rcompile/CRANpkg/local/2.12/amer/inst/doc/amerApplications.Rnw"
ScotsSec$social <- factor(ScotsSec$social)
print(scots1 <- lmer(attain ~ sex  + (1 | primary) + (1 |second), ScotsSec), cor=F)
print(scots2 <- lmer(attain ~ sex  + verbal + (1 | primary) + (1 |second), ScotsSec), cor=F)
print(scots3 <- lmer(attain ~ sex  + social  + verbal +  (1 | primary) + (1 |second), ScotsSec), cor=F)


###################################################
### chunk number 15: scots2
###################################################
#line 164 "d:/Rcompile/CRANpkg/local/2.12/amer/inst/doc/amerApplications.Rnw"
print(scots4 <- amer(attain ~ sex  + social + bsp(verbal) + (1 | primary) + (1 |second), ScotsSec), cor=F)
print(scots5 <- amer(attain ~ sex  + social + bsp(verbal, by=social) + (1 | primary) + (1 |second), ScotsSec), cor=F)

print(anova(scots1, scots2, scots3, scots4, scots5))


###################################################
### chunk number 16: scotsSecPlot
###################################################
#line 174 "d:/Rcompile/CRANpkg/local/2.12/amer/inst/doc/amerApplications.Rnw"
plotF(scots4)             


